### Method

# Pango.AttrList.filter

#### Declaration [src]

    PangoAttrList*
    pango_attr_list_filter (
      PangoAttrList* list,
      PangoAttrFilterFunc func,
      gpointer data
    )

#### Description [src]

Given a `PangoAttrList` and callback function, removes any elements of `list` for which `func` returns `TRUE` and inserts them into a new list.

#### Parameters

`func` | `PangoAttrFilterFunc`
| callback function; returns `TRUE` if an attribute should be filtered out.
`data` | `gpointer`
| Data to be passed to `func`

#### Return value

Returns: `PangoAttrList`
the new `PangoAttrList` or `NULL` if no attributes of the given types were found.
Ownership of the data is transferred to the caller
Can be `NULL`